(function () {
    'use strict';

    angular
        .module('editorRotas')
        .factory('etapasService', etapasService);

    etapasService.$inject = ['Server'];

    function etapasService(Server) {
        function SalvarEtapa(obj) {
            let action = 'Etapa1/SalvarEtapa1';
            return Server.post(action, obj);
        }

        function AvancarEtapa(obj) {
            let action = 'EditorRotas/AvancarEtapa';
            return Server.post(action, obj);
        }

        return {
            SalvarEtapa: SalvarEtapa,
            AvancarEtapa: AvancarEtapa,
        }
    }
})();
